<?php
db_connect();
error_reporting (E_ALL);

$domen = ucfirst($_SERVER['HTTP_HOST']);
$domen = str_replace("wm","WM", $domen);
$domen = str_replace("ru","RU", $domen);

function limpiarez($mensaje){
	$mensaje = htmlspecialchars(trim($mensaje));
	$mensaje = str_replace("'"," ",$mensaje);
	$mensaje = str_replace(";"," ",$mensaje);
	$mensaje = str_replace("$"," ",$mensaje);
	$mensaje = str_replace("<"," ",$mensaje);
	$mensaje = str_replace(">"," ",$mensaje);
	$mensaje = str_replace("&amp amp ","&",$mensaje);
	return $mensaje;
}

if(count($_POST)>0) {


	if(!preg_match("|^[a-zA-Z0-9\-_]{3,20}$|", trim($_POST["login"]))) {
		$login = htmlspecialchars(stripslashes(trim($_POST["login"])));
		$login = str_replace("'","",$login);
		$login = str_replace(";","",$login);
		$login = str_replace("$","",$login);
		$eror_login = "1";
	}else{
		$login = htmlspecialchars(stripslashes(trim($_POST["login"])));
		$login = str_replace("'","",$login);
		$login = str_replace(";","",$login);
		$login = str_replace("$","",$login);
		$eror_login = "0";
	}

	if(!preg_match("|^[_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@+([_a-zA-Z0-9-]+\.)*[a-zA-Z0-9-]{2,200}\.[a-zA-Z]{2,4}$|", trim($_POST["email"]))) {
		$email = limpiarez(trim($_POST["email"]));
		$eror_email = "1";
	}else{
		$email = limpiarez(trim($_POST["email"]));
		$eror_email = "0";
	}




if( isset($_SESSION["recoverpwd"]) && intval(trim($_SESSION["recoverpwd"]))>time() ) {
		echo '<fieldset class="errorp">Ошибка! Вы только что воспользовались функцией восстановления пароля, подождите 1 мин.</fieldset>';

	}elseif($login=="" && $email=="") {
		echo '<fieldset class="errorp">Ошибка! Не указаны данные для восстановления пароля!</fieldset>';

	}elseif($login!="" && $eror_login=="1") {
		echo '<fieldset class="errorp">Ошибка! Указан неправильный логин! Логин должен состоять от 3 до 20 символов, и содержать только латинские символы, допускаются символы "-" и "_"</fieldset>';
		$_SESSION["recoverpwd"] = (time() + 60);

	}elseif($email!="" && $eror_email=="1") {
		echo '<fieldset class="errorp">Ошибка! E-mail введен не правильно!</fieldset>';
		$_SESSION["recoverpwd"] = (time() + 60);


	}elseif($login!="" && $eror_login=="0") {

		$sql = db_query("SELECT `login`,`pass`,`email` FROM `".DBpref."users` WHERE `login`='$login'");
		if(db_rows($sql)>0) {
			$row = db_assoc($sql);
			$login_tab = $row["0"];
			$pass = $row["1"];
			$email_tab = $row["2"];


			//if($sendwmid==1) {

				$to = "$email_tab";
				$subject = "Восстановление пароля в системе $domen";
				$message = "Вы воспользовались сервисом напоминания пароля в системе $domen\r\n\r\n";
				$message.= "Запрос на восстановление данных был осуществлен с IP адреса: $ip ".DATE("d.m.Yг. в H:i")."\r\n\r\n";
				$message.= "Для доступа к аккаунту используйте следующую информацию:\r\n";
				$message.= "Login: $login_tab\r\n";
				$message.= "Password: $pass\r\n";
				$message.= "E-mail: $email_tab\r\n";

				$message.= "Внимание! Если Вы получили данное письмо не являясь участником системы $domen, свяжитесь с администрацией.\r\n\r\n";
				$message.= "---------------------------\r\n";
				$message.= "С уважением, Администрация системы $domen";

				$headers = "MIME-Version: 1.0\r\n";
				$headers.= "Content-Type: text/plain; charset=windows-1251\r\n";
				$headers.= "From: support@".strtolower($domen)." (sp)\r\n";
				$headers.= "FromName: support\r\n";
				$headers.= "Reply-To: support@".strtolower($domen)."\r\n";
				$headers.= "X-Mailer: PHP/".phpversion();

				if(mail($to, $subject, $message, $headers)) {
					echo '<fieldset class="okp">Поздравляем! Регистрационные данные успешно отправлены на Ваш E-mail</fieldset>';
				}else{
					echo '<fieldset class="errorp">Ошибка! Не удалось отправить данные, повторите попытку позже!</fieldset>';
				}
			//}
		}else{
			echo '<fieldset class="errorp">Ошибка! Пользователь не найден!</fieldset>';
		}

		$out=1;
		$_SESSION["recoverpwd"] = (time() + 60);

	}elseif($email!="" && $eror_email=="0" && $out!=1) {

		$sql = db_query("SELECT `login`,`pass`,`email` FROM `".DBpref."users` WHERE `email`='$email'") or die(mysql_error());
		if(db_rows($sql)>0) {
			$row = db_assoc($sql);
			$login_tab = $row["0"];
			$pass = $row["1"];
			$email_tab = $row["2"];


			//if($sendwmid==1) {

				$to = "$email_tab";
				$subject = "Восстановление пароля в системе $domen";
				$message = "Вы воспользовались сервисом напоминания пароля в системе $domen\r\n\r\n";
				$message.= "Запрос на восстановление данных был осуществлен с IP адреса: $ip ".DATE("d.m.Yг. в H:i")."\r\n\r\n";
				$message.= "Для доступа к аккаунту используйте следующую информацию:\r\n";
				$message.= "Login: $login_tab\r\n";
				$message.= "Password: $pass\r\n";
				$message.= "E-mail: $email_tab\r\n";

				$message.= "Внимание! Если Вы получили данное письмо не являясь участником системы $domen, свяжитесь с администрацией.\r\n\r\n";
				$message.= "---------------------------\r\n";
				$message.= "С уважением, Администрация системы $domen";

				$headers = "MIME-Version: 1.0\r\n";
				$headers.= "Content-Type: text/plain; charset=windows-1251\r\n";
				$headers.= "From: support@".strtolower($domen)." (sp)\r\n";
				$headers.= "FromName: support\r\n";
				$headers.= "Reply-To: support@".strtolower($domen)."\r\n";
				$headers.= "X-Mailer: PHP/".phpversion();

				if(mail($to, $subject, $message, $headers)) {
					echo '<fieldset class="okp">Поздравляем! Регистрационные данные успешно отправлены на Ваш E-mail</fieldset>';
				}else{
					echo '<fieldset class="errorp">Ошибка! Не удалось отправить данные, повторите попытку позже!</fieldset>';
				}
			//}
		}else{
			echo '<fieldset class="errorp">Ошибка! Пользователь не найден!</fieldset>';
		}

		$out=1;
		$_SESSION["recoverpwd"] = (time() + 60);
		
	}
}


echo '<div id="form">';
echo '<form id="form" action="" method="POST">';
echo '<table align="center" border="0" width="100%" cellspacing="2" cellpadding="2" style="border-collapse: collapse; border: 1px solid #1E90FF;">';
	echo '<tr align="center" height="30px"><th align="center" colspan="2" class="top">Восстановление пароля к аккаунту</th></tr>';
	echo '<tr>';
		echo '<td width="40%" align="right"><b>Логин:</b></td>';
		echo '<td width="60%">&nbsp;<input type="text" size="35" name="login" maxlength="25" value=""></td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td colspan="2" align="center"><b>ИЛИ:</b></td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td width="40%" align="right"><b>E-mail:</b></td>';
		echo '<td width="60%">&nbsp;<input type="text" size="35" name="email" maxlength="50" value=""></td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td colspan="2" align="center"><input type="submit" class="submit" value="Получить пароль"></td>';
	echo '</tr>';
echo '</table>';
echo '</form>';
echo '</div>';

?>